=== debian/changelog ===
ros-bouncy-rviz-rendering (4.0.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (4.0.1-0bionic) bionic; urgency=high

  * move find_package or test dependencies to test block (#331 <https://github.com/ros2/rviz/issues/331>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (4.0.0-0bionic) bionic; urgency=high

  * Fixed the dependecy name for ``eigen``. (#324 <https://github.com/ros2/rviz/issues/324>)
  * Fixed bugs causing rviz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
    * Fix Ogre assertion failure on Mac on resizing an Image or Camera display render window.
    * Fix segfault on Mac when resizing window after a Camera or Image Display was removed.
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Changed to allow Ogre to delete its own render windows. (#195 <https://github.com/ros2/rviz/issues/195>)
  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Fixed a memory leak. (#173 <https://github.com/ros2/rviz/issues/173>)
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Remove now obsolete function. (#163 <https://github.com/ros2/rviz/issues/163>)
    * It was made obsolete by pr #136 <https://github.com/ros2/rviz/issues/136> which removed the memcopy.
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-rendering (3.0.0-0bionic) bionic; urgency=high

  * Numerous changes to support Windows.
  * Disabled anti-aliasing on Windows. (#199 <https://github.com/ros2/rviz/issues/199>)
    * This fixes rendering issues on Windows when opening two or more render windows.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-bouncy-rviz-rendering (2.0.0-0bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Andreas Greimel, Andreas Holzner, Hunter Allen, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-bouncy-rviz-rendering (1.12.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-bouncy-rviz-rendering (1.12.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-bouncy-rviz-rendering (1.12.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.6-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.5-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.4-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.3-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.2-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.12.0-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.14-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.13-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.12-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-bouncy-rviz-rendering (1.11.11-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-bouncy-rviz-rendering (1.11.10-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.9-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.8-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-bouncy-rviz-rendering (1.11.7-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-bouncy-rviz-rendering (1.11.6-0bionic) bionic; urgency=high




