=== debian/control ===
Source: ros-bouncy-rviz-rendering
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-cppcheck, ros-bouncy-ament-cmake-cpplint, ros-bouncy-ament-cmake-gmock, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-lint-cmake, ros-bouncy-ament-cmake-uncrustify, ros-bouncy-ament-index-cpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-assimp-vendor, ros-bouncy-rviz-ogre-vendor, ros-bouncy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-bouncy-rviz-rendering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-bouncy-ament-index-cpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-assimp-vendor, ros-bouncy-rviz-ogre-vendor, ros-bouncy-ros-workspace
Description: Library which provides the 3D rendering functionality in rviz.
